<?php
// Get helper instance for web forms. This will add the opening form-tag to
// the helper's render cache which is simply a small variable in the class
// BaseHelper.
$helper = WebFormHelper::createWebFormHelper($this, "shipsimu_user_login");

// Formular deaktiviert?
if ($helper->ifLoginIsEnabled()) {
	// Formular ist aktiv
	$helper->addFormGroup("login", "Gebe hier deine Logindaten ein:");

	// Welches Loginverfahren wurde konfiguriert?
	if ($helper->ifLoginWithUsername()) {
		// Login mit Username
		$helper->addFormSubGroup("username", "Bitte mit deinem Nickname einloggen.");
		$helper->addFieldText("username", "Dein Nickname:");
		$helper->addInputTextField("username");
	} elseif ($helper->ifLoginWithEmail()) {
		// Login mit Email
		$helper->addFormSubGroup("email", "Bitte mit deiner Email-Adresse einloggen.");
		$helper->addFieldText("email", "Deine Email-Addresse:");
		$helper->addInputTextField("email");
	} else {
		// Login mit Email/Username
		$helper->addFormSubGroup("user_email", "Bitte mit deinem Nickname oder Email-Adresse einloggen.");
		$helper->addFieldText("user_email", "Dein Nickname/Email:");
		$helper->addInputTextField("user_email");
	}

	$helper->addFormSubGroup("pass", "Gebe dein Passwort von der Anmeldung ein.");
	$helper->addFieldText("pass", "Dein Passwort:");
	$helper->addInputPasswordField("pass");
	$helper->addFormGroup("buttons", "Alles richtig eingegeben?");
	$helper->addInputResetButton("Formular leeren");
	$helper->addInputSubmitButton("Zum Spiel einloggen");
} else {
	// Formular deaktiviert
	$helper->addFormNote("Einloggen in&#39;s Spiel ist derzeit administrativ deaktiviert worden. Bitte komme sp&auml;ter noch mal wieder.");
	$helper->addFormNote("Nachricht vom Admin: <span id=\"disabled_reason\">".$this->getConfigInstance()->readConfig('login_disabled_reason')."</span>");
}

// Formular schliessen
$helper->addFormTag();
$helper->flushContent();

// Ist Gastlogin erlaubt?
if ($helper->ifGuestLoginAllowed()) {
	// Neue Helper-Instanz holen
	$helper = WebFormHelper::createWebFormHelper($this, "shipsimu_guest_login");
	$helper->addInputHiddenField("username", $this->getConfigInstance()->readConfig('guest_login_username'));
	$helper->addInputHiddenField("password", $this->getConfigInstance()->readConfig('guest_login_password'));
	$helper->addFormGroup("buttons", "Gastlogins sind in der Funkionsweise eingeschr&auml;nkt. Mehr dazu unter &quot;Gastlogin&quot;.");
	$helper->addInputSubmitButton("Als Gast einloggen");
	$helper->addFormTag();
	$helper->flushContent();
}

?>
<div id="content_header">
	Einloggen zu <span class="app_name">{?app_full_name?}</span>
</div>

<div id="login_box">
	{?shipsimu_user_login?}
</div>

<div id="guest_login">
	{?shipsimu_guest_login?}
</div>
